Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

id
string
required

Body

application/json
existingTokenExpiresAt
string<date-time>
required

Expiration date of the existing token (ISO 8601 format)

newToken
object
newTokenExpiresAt
string<date-time> | null

Expiration date of the new token (ISO 8601 format)

Response

200 - application/json

CreateAPITokenResponse

datasetCapabilities
object
required
id
string
required

ID of the token

name
string
required

Name of the token

orgCapabilities
object
required
description
string

Description of the token

expiresAt
string<date-time> | null
read-only

Expiration date of the token (ISO 8601 format)

samlAuthenticated
boolean
viewCapabilities
object
token
string